ARG DEPENDENCY_IMAGE=dependency:latest
FROM $DEPENDENCY_IMAGE as artifacts

FROM golang:1.14 AS builder

ARG GO_ENV
ENV GO_ENV ${GO_ENV}

COPY . /src
COPY --from=artifacts /app/pkgs/sfu /sfu

WORKDIR /src
RUN touch .env
# RUN go test ./...

WORKDIR /src/cmd/connect

RUN CGO_ENABLED=0 GOOS=linux GOARCH=amd64 \
  go build -a -installsuffix cgo -o guildion-connect \
  && mv ./guildion-connect /

############################

FROM alpine:latest as runner

ARG GO_ENV
ENV GO_ENV ${GO_ENV}

COPY --from=builder /guildion-connect /
COPY --from=builder /src/.env /

EXPOSE 80

CMD \
  GO_ENV=$GO_ENV \
  ./guildion-connect
